
CREATE TABLE UPC_CU_ANN_MESSAGE  (
  MESSAGE_ID varchar(250) NOT NULL default '',
  TOPIC_ID varchar(250) NOT NULL default '',
  SENDER varchar(150) NOT NULL default '',
  PRIORITY int(11) NOT NULL default '0',
  TITLE varchar(150) NOT NULL default 'titre par dfaut',
  MESSAGE_SUMMARY text NOT NULL,
  MESSAGE_BODY text NOT NULL,
  LINK_URI varchar(255) default NULL,
  IS_DRAFT char(1) NOT NULL default '',
  DATE_CREATED timestamp(14) NOT NULL,
  DATE_APPEARS timestamp(14),
  DATE_EXPIRES timestamp(14),
  LAST_MOD_DATE timestamp(14) NOT NULL,
  PRIMARY KEY  (MESSAGE_ID,TOPIC_ID)
);


CREATE TABLE  UPC_CU_ANN_TOPIC (
  TOPIC_ID varchar(250) NOT NULL default '',
  TOPIC_STORE varchar(255) NOT NULL default '',
  PUBLISH_REMOTE char(1) NOT NULL default '',
  SUBSCRIBER_GROUP varchar(255) default NULL,
  ARGUMENT varchar(255) default NULL,
  TITLE varchar(150) default NULL,
  DESCRIPTION text,
  LANGUAGE char(3) default NULL,
  CREATOR varchar(150) default NULL,
  SUBJECT varchar(150) default NULL,
  PUBLISHER varchar(150) default NULL,
  DATE_STAMP timestamp(14) NOT NULL,
  REFRESH_PERIOD varchar(10) default NULL,
  REFRESH_FREQUENCY int(11) default NULL,
  LAST_MOD_DATE timestamp(14) NOT NULL,
  CHANNEL_INSTANCE varchar(100) NOT NULL,
  PRIMARY KEY  (TOPIC_ID)
);