// I18N constants

// LANG: "en", ENCODING: UTF-8 | ISO-8859-1
// Author: Mihai Bazon, http://dynarch.com/mishoo

// FOR TRANSLATORS:
//
//   1. PLEASE PUT YOUR CONTACT INFO IN THE ABOVE LINE
//      (at least a valid email address)
//
//   2. PLEASE TRY TO USE UTF-8 FOR ENCODING;
//      (if this is not possible, please include a comment
//       that states what encoding is necessary.)

HTMLArea.I18N = {

        // the following should be the filename without .js extension
        // it will be used for automatically load plugin language.
        lang: "fr",

        tooltips: {
                bold:           "Gras",
                italic:         "Italique",
                underline:      "Souligné",
                strikethrough:  "Barré",
                subscript:      "Subscript",
                superscript:    "Superscript",
                justifyleft:    "Aligné    gauche",
                justifycenter:  "Centré",
                justifyright:   "Aligné    droite",
                justifyfull:    "Justifié",
                insertorderedlist:    "Numérotation",
                insertunorderedlist:  "Puces",
                outdent:        "Diminuer le retrait",
                indent:         "Augmenter le retrait",
                forecolor:      "Couleur du texte",
                hilitecolor:    "Couleur du fond",
                inserthorizontalrule: "Ligne horizontale",
                createlink:     "Insérer un lien",
                insertimage:    "Insérer une image",
                inserttable:    "Insérer un tableau",
                htmlmode:       "Passer au code source HTML",
                popupeditor:    "Agrandir l'éditeur",
                about:          "A propos de cet éditeur",
                showhelp:       "Aide sur l'éditeur",
                textindicator:  "Style courant",
                undo:           "Annule la dernière action",
                redo:           "Refait la dernière action",
                cut:            "Coupe la sélection",
                copy:           "Copie la sélection",
                paste:          "Colle depuis le presse papiers",
                lefttoright:    "Direction gauche    droite",
                righttoleft:    "Direction droite    gauche"
        },

        buttons: {
                "ok":           "OK",
                "cancel":       "Annuler"
        },

        msg: {
                "Path":         "Chemin",
                "TEXT_MODE":    "Vous etes en mode texte.  Utilisez le bouton [<>] pour revenir au mode WYSIWIG.",

                "IE-sucks-full-screen" :
                // translate here
                "The full screen mode is known to cause problems with Internet Explorer, " +
                "due to browser bugs that we weren't able to workaround.  You might experience garbage " +
                "display, lack of editor functions and/or random browser crashes.  If your system is Windows 9x " +
                "it's very likely that you'll get a 'General Protection Fault' and need to reboot.\n\n" +
                "You have been warned.  Please press OK if you still want to try the full screen editor."
        },

        dialogs: {
                "Cancel"                                            : "Annuler",
                "Insert/Modify Link"                                : "Insérer/Modifier un Lien",
                "New window (_blank)"                               : "Nouvelle fenetre (_blank)",
                "None (use implicit)"                               : "None (use implicit)",
                "OK"                                                : "OK",
                "Other"                                             : "Autre",
                "Same frame (_self)"                                : "Meme frame (_self)",
                "Target:"                                           : "Target :",
                "Title (tooltip):"                                  : "Titre :",
                "Top frame (_top)"                                  : "Top frame (_top)",
                "URL:"                                              : "URL :",
                "You must enter the URL where this link points to"  : "Vous devez entrer l'URL sur lequel ce lien  pointe"
        }
};
